// Copyright (c) Vincent Dardel, <vindarez@mailz.org>,  Abelujo Developers
// See the COPYRIGHT file at the top-level directory of this distribution

// Abelujo is free software: you can redistribute it and/or modify
// it under the terms of the GNU Affero General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.

// Abelujo is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Affero General Public License for more details.

// You should have received a copy of the GNU Affero General Public License
// along with Abelujo.  If not, see <http://www.gnu.org/licenses/>.

{% extends "base.html" %}

{% block content %}

{% load i18n %}
{% load bootstrap3 %}
{% bootstrap_css %}
{% bootstrap_javascript %}


{% if messages %}
ul.messages
  {% for msg in messages %}
  uib-alert {{ msg }}
  {% endfor %}
{% endif %}

.row
  form.col-lg-5(method='post', action="{% url 'cards_set_supplier' %}")
    {% csrf_token %}
    h4 {% trans "Set the supplier" %}
    div {% trans "cards impacted: " %} {{ nb_cards }}
    {% bootstrap_form form %}

    input.btn.btn-primary(type='submit', value='{% trans "Validate" %}')

.row
  h4 {% trans "Or create a new one" %}
  form.col-lg-4(method='post', action="{% url 'cards_set_supplier' %}")
    {% csrf_token %}
    h4 {% trans "New distributor" %}

    // xxx: missing form errors.
    {% bootstrap_form newsupplier_form %}

    input.btn.btn-primary(type='submit', value='{% trans "Validate" %}')

{% endblock content %}
